### Enumeration

# EDataServer SourceLDAPSecurity

since: 3.18

#### Declaration

    enum EDataServer.SourceLDAPSecurity

#### Description [src]

Defines what connection security should be used for LDAP sources.

Available since: 3.18

#### Members

`E_SOURCE_LDAP_SECURITY_NONE`

  Connect insecurely.

  - Value: `0`
  - Available since: 3.18
`E_SOURCE_LDAP_SECURITY_LDAPS`

  Connect using secure LDAP (LDAPS).

  - Value: `1`
  - Available since: 3.18
`E_SOURCE_LDAP_SECURITY_STARTTLS`

  Connect using STARTTLS.

  - Value: `2`
  - Available since: 3.18